/*
Product name : MepL_Farm PCB_ver
Board : Arduino_Micro 
MCU : BuiltIn(ATMEGA32U4-MU)


//---- 센서의 핀 설계
  Neopixel_Led_Pin  number is   5 
  Buzzer_pin        number is   6 (BuiltIn)
  Led_pin           number is   13(BuiltIn)
  Button_pin        number is   A0(BuiltIn)
  Soil_Sensor       number is   A1
  DHTPIN            number is   A2
  Cds               number is   A3
  Fan A_Front       number is   7       // 쿨링팬 왼쪽   A의 전진방향
  Fan A_Back        number is   4       // 쿨링팬 왼쪽   A의 후진방향
  Fan A_Front       number is   8       // 쿨링팬 오른쪽 B의 전진방향
  Fan A_Back        number is   12      // 쿨링팬 오른쪽 B의 후진방향
  TouchPins[4]      number is   {11,14,15,16}
*/

// 디지털핀 설계
#define Led_pin 13                                    
#define Buzzer_pin 6                               
// 아날로그핀 설계
#define button_pin A0    
// 버튼상태 변수 선언
int Button_state = 0;


//----------------------------------------------------------------------
// 부팅시 만 실행
void setup()  {
  // 시리얼통신 초기화(9600)bps(bits per second)
  Serial.begin(9600);
  // 디지털핀 초기화(OUTPUT)
  pinMode(Led_pin, OUTPUT);                   
  pinMode(Buzzer_pin, OUTPUT);                
}
// 부팅시 만 실행


//----------------------------------------------------------------------
// 메인(반복루프)
void loop()
{
  // 모드스위치(푸쉬스위치) 눌림 512이상 입력값 생성 
  if (analogRead(button_pin) > 512)
  {
    // 모드스위치(푸쉬스위치) 누르고 기다리는 시간
    delay(500);

    if (Button_state == 0)  {
      Button_state = 1;
      // BUZZER ON
      digitalWrite(Buzzer_pin, HIGH);
      Serial.println("BUZZER ON"); 
   }
    else if (Button_state == 1)  {
      Button_state = 0;
      // BUZZER OFF
      digitalWrite(Buzzer_pin, LOW);
      Serial.println("BUZZER OFF");
    }   
  }
}
// 메인 끝
