/*
Product name : MepL_Farm PCB_ver
Board : Arduino_Micro 
MCU : BuiltIn(ATMEGA32U4-MU)


//---- 센서의 핀 설계
  Neopixel_Led_Pin  number is   5 
  Buzzer_pin        number is   6 (BuiltIn)
  Led_pin           number is   13(BuiltIn)
  Button_pin        number is   A0(BuiltIn)
  Soil_Sensor       number is   A1
  DHTPIN            number is   A2
  Cds               number is   A3
  Fan A_Front       number is   7       // 쿨링팬 왼쪽   A의 전진방향
  Fan A_Back        number is   4       // 쿨링팬 왼쪽   A의 후진방향
  Fan A_Front       number is   8       // 쿨링팬 오른쪽 B의 전진방향
  Fan A_Back        number is   12      // 쿨링팬 오른쪽 B의 후진방향
  TouchPins[4]      number is   {11,14,15,16}
*/

#include "DHT.h"
// DHT 센서 핀 정의
#define DHTPIN A2
// DHT 센서의 종류
#define DHTTYPE DHT11
// 정의된 핀과 센서 유형으로 dht 객체 생성
DHT dht(DHTPIN, DHTTYPE);

//----------------------------------------------------------------------
// 부팅시 만 실행
void setup()  {
  // 시리얼통신 초기화(9600)bps(bits per second)
  Serial.begin(9600);
  // 온습도센서를 초기화 합니다.
  dht.begin();
}

//----------------------------------------------------------------------
// 메인(반복루프)
void loop() 
 {
  delay(2000);

  // 습도와 온도 값을 측정하여 읽어옵니다.(h는 습도, t는 온도)
  int h = dht.readHumidity();
  int t = dht.readTemperature();

  // Serial monitor (0, 0)에 습도값을 출력합니다.( Humi : XX.XX% )
  Serial.println("Outputs temperature and humidity value!");
  Serial.print("Humi : ");
  Serial.print(h);
  Serial.println("%");
  delay(100);

  Serial.print("Temp : ");
  Serial.print(t);
  Serial.println("℃");
  delay(200);
  Serial.println();
}
