/*
Product name : MepL_Farm PCB_ver
Board : Arduino_Micro 
MCU : BuiltIn(ATMEGA32U4-MU)


//---- 센서의 핀 설계
  Neopixel_Led_Pin  number is   5 
  Buzzer_pin        number is   6 (BuiltIn)
  Led_pin           number is   13(BuiltIn)
  Button_pin        number is   A0(BuiltIn)
  Soil_Sensor       number is   A1
  DHTPIN            number is   A2
  Cds               number is   A3
  Fan A_Front       number is   7       // 쿨링팬 왼쪽   A의 전진방향
  Fan A_Back        number is   4       // 쿨링팬 왼쪽   A의 후진방향
  Fan A_Front       number is   8       // 쿨링팬 오른쪽 B의 전진방향
  Fan A_Back        number is   12      // 쿨링팬 오른쪽 B의 후진방향
  TouchPins[4]      number is   {11,14,15,16}
*/

// 아날로그핀 설계
#define Button_pin A0
// 버튼상태 변수 선언
int Button_state = 0;

#define A_Front  7        // 쿨링팬 왼쪽   A의 전진방향
#define A_Back   4        // 쿨링팬 왼쪽   A의 후진방향
#define B_Front  8        // 쿨링팬 오른쪽 B의 전진방향
#define B_Back  12        // 쿨링팬 오른쪽 B의 후진방향

// 모터가 활성화되었는지 여부를 나타내는 변수
bool motorsActivated = false;  

//----------------------------------------------------------------------
// 부팅시 만 실행
void setup()  {
  pinMode(A_Front, OUTPUT);
  pinMode(A_Back, OUTPUT);
  pinMode(B_Front, OUTPUT);
  pinMode(B_Back, OUTPUT);

  // 버튼 핀을 입력으로 설정
  pinMode(Button_pin, INPUT);  
  // 초기에는 모터 비활성화 상태로 설정
  motorsActivated = false;
}

//----------------------------------------------------------------------
// 메인(반복루프)
void loop()
{
  // 버튼이 눌렸을 때
  if (analogRead(Button_pin) > 512) {
    delay(500);
    motorsActivated = true;  // 모터 활성화

    if (Button_state == 0) {
      Button_state = 1;
      // 모터 A를 전진 방향으로 회전
      digitalWrite(A_Front, LOW);
      digitalWrite(A_Back, HIGH);

      // 모터 B를 전진 방향으로 회전
      digitalWrite(B_Front, HIGH);
      digitalWrite(B_Back, LOW);
    } 
    else if (Button_state == 1) {
      Button_state = 0;
      // 모터 A와 모터 B를 정지
      digitalWrite(A_Front, LOW);
      digitalWrite(A_Back, LOW);
      digitalWrite(B_Front, LOW);
      digitalWrite(B_Back, LOW);
    }
  }
}

