/*
Product name : MepL_Farm PCB_ver
Board : Arduino_Micro 
MCU : BuiltIn(ATMEGA32U4-MU)


//---- 센서의 핀 설계
  Neopixel_Led_Pin  number is   5 
  Buzzer_pin        number is   6 (BuiltIn)
  Led_pin           number is   13(BuiltIn)
  Button_pin        number is   A0(BuiltIn)
  Soil_Sensor       number is   A1
  DHTPIN            number is   A2
  Cds               number is   A3
  Fan A_Front       number is   7       // 쿨링팬 왼쪽   A의 전진방향
  Fan A_Back        number is   4       // 쿨링팬 왼쪽   A의 후진방향
  Fan A_Front       number is   8       // 쿨링팬 오른쪽 B의 전진방향
  Fan A_Back        number is   12      // 쿨링팬 오른쪽 B의 후진방향
  TouchPins[4]      number is   {11,14,15,16}
*/

/* 참고사항 : 아두이노우노 호환보드 사용시에는
// 시리얼통신 라이브러리 호출
#include <SoftwareSerial.h>
SoftwareSerial bluetooth_Serial(2,12);
// Meplino board에서는 사용하지 않음
*/

// 블루투스에서 받을 빈 문자열 선언
String bluetooth_String = ""; 
#define Led_pin 13            

void setup() {
  Serial.begin(9600);
  //블루투스 시리얼 개방
  Serial1.begin(9600);  
  pinMode(Led_pin, OUTPUT);                   
  }

void loop() {
  // Bluetooth_Rx_Tx:
  // bluetooth_Serial ASCII형식 
  if (Serial1.available())  {
    bluetooth_String = Serial1.read();    
  }
  
  // bluetooth_String 값이 있다면
  if (bluetooth_String != "")  { 
    // ASCII 1 = "49"
    if (bluetooth_String == "49")  {
      Serial.println("LED ON!");
      // LED ON
      digitalWrite(Led_pin, HIGH);
    }

    // 2 = "50"
    if (bluetooth_String == "50")  {
      Serial.println("LED OFF!");
      // LED OFF  
      digitalWrite(Led_pin, LOW);
    }
  }
}
